# fn() isTerminal
Check whether we are printing to a terminal.

Defined in | <seqan/misc/terminal.h>
Signature | `bool isTerminal();`

## Return Values

`bool` | true if we are on the terminal, false otherwise.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- getTerminalSize
- isAnsiColorTerminal

#### Dox Sources

    /*!
     * @fn isTerminal
     *
     * @headerfile <seqan/misc/terminal.h>
     *
     * @brief Check whether we are printing to a terminal.
     *
     * @signature bool isTerminal();
     *
     * @return bool true if we are on the terminal, false otherwise.
     *
     * @see getTerminalSize
     * @see isAnsiColorTerminal
     */